#!/usr/bin/perl

$numArgs = @ARGV;

if ($numArgs < 2)
{
        print "Usage: extract_query_text_result_single_stream.pl <STREAM_NUMBER><RUN_NUMBER>\n";
        print "";
        exit 1;
}

$STREAM_NUMBER=$ARGV[0];
$RUN_NUMBER=$ARGV[1];
$in_query_result=0;
$in_query_text=0;
$tempfiles=$ENV{TEMPFILES};
$results=$ENV{RESULTS};

open STREAMOUT, "$results/stream${STREAM_NUMBER}.out";
open temp_result_file, ">$tempfiles/tempresults${STREAM_NUMBER}";

$query="Query";
$starts="Starts";
$queryends="Query Ends";
$temp_result_file_name="$tempfiles/tempresults$STREAM_NUMBER";
$tempquerytimesfilename="$tempfiles/tempquerytimes$STREAM_NUMBER";
while(my $line = <STREAMOUT>)
{
        if($in_query_text == 1)
        {
                if($line =~ m/^[0-9]*>/)
                {
                        print query_result_file "$line";
                }
                else
                {
                        $in_query_text=0;
                        $in_query_result=1;
                        print query_result_file "\n\n\nQuery Result\n------------\n\n";
			
                        unlink("$temp_result_file_name");
                        open temp_result_file, ">$temp_result_file_name";
                        print temp_result_file "$line";
                }
        }
        elsif($in_query_result == 1)
        {
                if($line =~ m/$queryends/)
                {
                        $in_query_result=0;
                        close temp_result_file;
                        $lines_in_query_result=`wc -l $temp_result_file_name`;

                        if($lines_in_query_result > 200)
                        {
                                $resultsfilename="$results/m$RUN_NUMBER"."s$STREAM_NUMBER"."q$querynumber";
                                system("head -100 $temp_result_file_name >> $resultsfilename");
                                print query_result_file "-----------------------------------------------";
                                print query_result_file "Result truncated here ";
                                print query_result_file "-----------------------------------------------\n";

                                system("tail -100 $temp_result_file_name >> $resultsfilename");
                        }
                        else{
                                $resultsfilename="$results/m$RUN_NUMBER"."s$STREAM_NUMBER"."q$querynumber";
                                system("cat $temp_result_file_name >> $resultsfilename");
                        }
                        #To move the file into FILE.#date format.
                        close query_result_file;
                        my $tempdate=`date '+%y%m%d_%H%M%S'`;
			my $renamedfilename="$resultsfilename".".$tempdate";
			chop($renamedfilename);
                        rename($resultsfilename, $renamedfilename);

                }
                else
                {
                        print temp_result_file "$line";
                }
        }
	


	else
        {    
		if($line =~ /$query/ && $line =~ /$starts/)
                {
                        $querynumber=substr($line, 11, 2);
			if($querynumber =~ m/^0/)
			{
				$query_number_without_zero=substr($querynumber, 1, 1);
			}
			else 
			{
				$query_number_without_zero=$querynumber;
			}
			$querystring="Query $query_number_without_zero ";
			
			$query_start_time=`grep "$querystring" $tempquerytimesfilename|grep START |tr -s ' '|cut -d ' ' -f9-`;
                        $query_end_time=`grep "$querystring" $tempquerytimesfilename|grep STOP |tr -s ' ' |cut -d ' ' -f9-`;
			$querystring="Elapsed time,q$query_number_without_zero,";
                        $query_elapsed_time=`grep "$querystring" $tempquerytimesfilename|tr -s ' '|cut -d ' ' -f4-`;
			$result_file_name="$results/m$RUN_NUMBER"."s$STREAM_NUMBER"."q$querynumber";

                        open query_result_file, ">>$result_file_name";
                        print query_result_file  "Query Start Time:     $query_start_time";
                        print query_result_file  "Query Stop Time:       $query_end_time";
                        print query_result_file  "Query Elapsed Time:    $query_elapsed_time\n";
                        print query_result_file  "Stream Number:                 ${STREAM_NUMBER}\n\n";
                        print query_result_file  "Query Text\n----------\n";

                        $in_query_text=1;
                }
	}

}
