Test 'acid_durability_query.tst'
Description 'perform the acid query.'

stringconnect "dsn=qual_16_0;"

open cur1 {select stream, seqnum, ordr, line, delta from acid_table
		where seqnum > 5 order by seqnum}
print ' '

let n=1
LOOP {
   fetch cur1 into str, seq, ord, lin, delta

   fetch {select round(cast(o_totalprice as numeric(26,16)),2)
		from orders where o_orderkey=^ }
	substitute ord into o_price
 
   if ROWSTATUS != FOUND then { BREAK LOOP } endif
   if n > 50 then { BREAK LOOP } endif 

   execute { call acid_single_query (^) } substitute ord into o_total

   fetch {select cast(^ as numeric(12,2)) } substitute o_price into o_price
   fetch {select cast(^ as numeric(12,2)) } substitute o_total into l_total

   print 'orderkey = ', ord, '	o_totalprice = ', o_price, 
	'   	acid query = ' , l_total

   ASSERT (o_price = l_total) 
	then { print 'Did not compare correctly' } ENDASSERT
   let n=n+1

 } ENDLOOP

disconnect

END Test
