create variable conn_count integer;
go
declare local temporary table iq_connTable(
    Number              unsigned bigint null,
    IQconnID            unsigned bigint null,
    IQCmdtype           char(32) null,
    LastIQCmdTime       datetime null,
    IQCursors           unsigned int null,
    LowestIQCursorState char(16) null,
    IQthreads           unsigned int null,
    TxnID               unsigned bigint null,
    ConnCreateTime      datetime null,
    TempWorkSpace       unsigned bigint null,
    TempTableSpace      unsigned bigint null,
    satoiq_count        unsigned bigint null,
    iqtosa_count        unsigned bigint null,
    MPXServerID         unsigned int,
    LSID                unsigned bigint null,
    INCConnName 	varchar(255) null,
    INCConnSuspended	char(2)
)
in SYSTEM on commit preserve rows;
go

iq utilities main into iq_connTable command statistics 20000
go

select count(*) into conn_count from iq_connTable
--Decrease count by 6, One for this connection , one for check_min_txn.tst & one for main.tst, and 3 for the worker nodes.
set conn_count=conn_count-6
select 'Number of connections = ',conn_count
go
