#!/bin/bash

USER=`whoami`
server_pid=`ps -eaf|grep $USER|grep iqsrv1|tr -s ' '|cut -d ' ' -f2`
kill -9 $server_pid

sleep 100
pwd
echo $ACID_ROOT
cd $ACID_ROOT 
$START_SERVER @/opt/tpch/config_dir/tpch.cfg $ACID_DEVICES/tpch.db

cd durability
dbisqlc -c "DSN=qual_$VERSION" -q acid_durability_history.sql -o $ACID_RESULTS/acid_durability_history.out
dbtest acid_durability_query.tst > $ACID_RESULTS/dcnte
