%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Created by: Masood Dirin                                      
%  Created Date: 5/24/1999                                       
%  Script name: acid_isolation_test2.tst 
%                                                                       
%  Part of acid_isolation_main2.tst 
%                                                                       
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Test		"acid_isolation_test2.tst"
Description	"Run Acid isolation test 2"

stringconnect "dsn=qual_16_0;"

execute {select ordr, line, delta from acid_isolation_table}
        into ordr, line, delta
 print ''
 print 'The following are the data input values for the ACID Transaction.'
 print '(user 1) o_key-',ordr, '  l_key-', line, '  delta-',delta

 execute { select o_totalprice from orders where o_orderkey = ^}
           substitute ordr into o_total
 print 'Before user1 acid transaction o_total=',o_total
 print ''
 execute {call acid_transaction( ^, ^,  ^, 
	rprice, quantity, tax, disc, extprice, ototal) 
	} substitute ordr, line, delta

execute {select now(*)} into times
print 'User 1 waiting to roll back = ', times
print ' '
synchronize 2
sleep 10000
execute {select now(*)} into times
print 'User 1 about to roll back = ', times
rollback

execute { select round(cast(o_totalprice as numeric(18,2)),2)
	from orders where o_orderkey = ^} 
	substitute ordr into o_total
print 'User 1 new values: '
print 'user 1 ordr= ', ordr
print 'user 1 o_total= ', o_total
print ' '

End Test

