%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Created by: Masood Dirin                                               %
%  Created Date: 5/25/1999                                                %
%  Script name: acid_isolation_test3_transaction1.tst                %
%  ---------------------------------------------------------------------  %
%                                                                         %
%  This test could be run by itself, but it is recommended to run it as   %
%  part of acid_isolation_main3.tst file.                            %
%                                                                         %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Test		"acid_isolation_test3_transaction1.tst"
Description	"Run Acid Transaction 1 for isolation test 3"

stringconnect "dsn=qual_16_0;"

execute {select now(*)} into times
print 'Isolation test 3 test start = ', times
print ' '

 execute {select ordr, line, delta from acid_isolation_table}
        into ordr, line, delta

 print 'User 1 --  The input data values for User 1 Acid Transaction.'
 print 'User 1 -- o_key = ',ordr 
 print 'User 1 -- l_key = ',line
 print 'User 1 -- delta1 = ',delta

 print ' '
 execute {select now(*)} into times
 print 'User 1 -- Starting the Acid Transaction: ', times

 execute {call acid_transaction( ^, ^,  ^ )}
	substitute ordr, line, delta
	into rprice, quantity, tax, disc, extprice, ototal

 print ' '
 execute {select now(*)} into times
 print 'User 1 -- Acid Transaction complete: ', times 
 print '30 second timer started'
SYNCHRONIZE 2
 sleep 30000

 print ' '
 execute {select now(*)} into times
 print 'User 1 -- starting commit: ', times

 commit
 print ' '
 execute {select now(*)} into times
 print 'User 1 -- transaction commit complete: ', times

 print ' '
 print 'USER 1 -- original extendedprice = ', extprice
 print 'USER 1 -- original quantity = ', quantity

 fetch { select cast(^ as numeric(18,6))
		+ (cast(^ as numeric(18,6))*(cast (^ as numeric(18,6))
		/cast (^ as numeric(18,6)))) }
	substitute extprice, delta, extprice, quantity
	into result1
 % make it format nicely...
 execute { select cast(^ as numeric(18,2)) } substitute result1 into result2

 print ' '
 print 'User 1 -- result1 = '
 print '    txn1_extendedprice + (delta1 * (txn1_extendedprice/txn1_quantity))'
 print 'User 1 -- result1= ', result2
 print ' '

 disconnect
 End Test
