%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Created by: Masood Dirin                                               %
%  Created Date: 5/25/1999                                                %
%  Script name: acid_isolation_test4_transaction1.tst			  %
%  ---------------------------------------------------------------------  %
%                                                                         %
%  This test could be run by itself, but it is recommended to run it as   %
%  part of acid_isolation_main4.tst file.                            	  %
%                                                                         %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 Test		"acid_isolation_test4_transaction1.tst"
Description	"Transaction 1 for isolation test 4"

stringconnect "dsn=qual_16_0;"

execute {select now(*)} into times
print 'Isolation test 3 test start = ', times
print ' '

 execute {select ordr, line, delta from acid_isolation_table}
        into ordr, line, delta

 print 'User 1 --  The input data values for User 1 Acid Transaction.'
 print 'User 1 -- o_key = ',ordr 
 print 'User 1 -- l_key = ',line
 print 'User 1 -- delta1 = ',delta

 print ' '
 execute {select now(*)} into times
 print 'User 1 -- Starting the Acid Transaction: ', times

 execute {select l_extendedprice from lineitem where l_linenumber=^ and l_orderkey=^}
	substitute line, ordr into extprice3 

execute {select round(cast(^ as numeric(20,6)),2) }
        substitute extprice3 into extprice4
 print ' '
 print 'USER 1 -- extendedprice before acid transaction = ', extprice4

 execute {call acid_transaction( ^, ^,  ^ )}
	substitute ordr, line, delta
	into rprice, quantity, tax, disc, extprice, ototal

 print ' '
 execute {select now(*)} into times
 print 'User 1 -- Acid Transaction complete: ', times 
 print '30 second timer started'
SYNCHRONIZE 
 sleep 30000
 
execute {select l_extendedprice from lineitem where l_linenumber=^ and l_orderkey=^}
	substitute line, ordr into extprice3 

execute {select round(cast(^ as numeric(20,6)),2) }
        substitute extprice3 into extprice4
 print ' '
 print 'USER 1 -- extendedprice before rooling back = ', extprice4
 print ' '
 execute {select now(*)} into times
 print 'User 1 -- starting rollback: ', times

 rollback
 print ' '
 execute {select now(*)} into times
 print 'User 1 -- transaction rollback complete: ', times

 execute {select round(cast(^ as numeric(20,6)),2) }
	substitute extprice into extprice2
 print ' '
 print 'USER 1 -- original extendedprice = ', extprice2
 print 'USER 1 -- original quantity = ', quantity
 print ' '

 disconnect
 End Test
