%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Created by: Masood Dirin                                       
%  Created Date: 5/27/1999                                        
%  Script name: acid_isolation_test5_query.tst
%  ---------------------------------------------------------------
%                                                                 
%  This test could be run by itself, but it is recommended to run 
% it as part of acid_isolation_main5.tst file.               
%                                                                 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Test		"acid_isolation_test5_query.tst"
Description	"Run Acid isolation query for test 5"

stringconnect "dsn=qual_16_0;"

synchronize 2

execute { call generate_ps_values() } into ps_ptky, ps_spky
print ' '
print 'user 2 ps_partkey = ', ps_ptky
print 'user 2 ps_suppkey = ', ps_spky
print ' '

execute {select now(*)} into times
print 'User 2 beginning query = ', times
execute {select * from partsupp where ps_partkey=^ and ps_suppkey=^} 
	substitute ps_ptky, ps_spky
	into ps_ptky, ps_spky, ps_aly, ps_spct, ps_ct

print ' '
print 'User2 gets all columns of the PARTSUPP table '
print ' for selected ps_partkey and ps_suppkey doing a query.'
print ' '
print 'ps_partkey = ', ps_ptky, '	ps_suppkey = ', ps_spky
print 'ps_availqty = ', ps_aly, '	ps_supplycost = ',ps_spct
print 'ps_comment = ', ps_ct
execute {select now(*)} into times
print 'User 2 query complete = ', times
print ' '

execute {select now(*)} into times
print 'User 2 about to commit = ', times
commit
execute {select now(*)} into times
print 'User 2 transaction commit complete = ', times

print ' '

End Test

