%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Created by: Masood Dirin                                              
%  Created Date: 5/27/1999                                               
%  Script name: acid_isolation_main6.tst                            
%  ----------------------------------------------------------------------
%  Run the test as follow:                                               
%                                                                        
%  dbtest -u acid_isolation_main6.tst > acid_isolation_main6.ot
%                                                                        
%  Note:  -u switch will be used to archive the User1 query result       
%  in a file named queryresult.cfr. This switch needs to be used each time
%  the test being run, since the query results will be different as the  
%  results of the updates on the lineitem tables.                        
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Test            "acid_isolation_main6.tst"
Description     "To run the ACID isolation test6."

stringconnect "dsn=qual_16_0;"

execute {select now(*)} into times
print ' '
print ' '
print 'Isolation test 6'
print 'start = ', times
print ' '
 
include 'acid_functions.tst'
include 'acid_isolation_setup.tst'

start test '-u' 'acid_isolation_test6_query.tst'
start test  'acid_isolation_test6_transaction1.tst'

End Test
