-- using default substitutions
create variable  qstart timestamp;
create variable  qstop timestamp;
create variable  sstart timestamp;
go

set sstart = now(*)
select 'Stream START -- ,',dateformat (sstart,'yyyy-mm-dd hh:nn:ss.sss') 
go

-- @(#)14.sql	Sybase IQ
-- Query 14 - Var_0 Rev_01 - Promotion Effect Query

set qstart = now(*)
go

SET TEMPORARY OPTION Temp_Extract_Name1 = 'Results/formatted_query_results/q14.out';
SET TEMPORARY OPTION Temp_Extract_Name2 = '';
SET TEMPORARY OPTION TEMP_EXTRACT_COLUMN_DELIMITER = '~';

-- Query14 Starts

select
	100.00 * sum(case
		when p_type like 'PROMO%'
			then l_extendedprice * (1 - l_discount)
		else 0
	end) / sum(l_extendedprice * (1 - l_discount)) as promo_revenue
from
	lineitem,
	part
where
	l_partkey = p_partkey
	and l_shipdate >= '1995-09-01'
	and l_shipdate < dateadd(month, 1, '1995-09-01')

-- Query Ends
go
--Result Ends


commit transaction
go



set qstop = now(*)
go

select 'Stream 0 Query 14 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream 0 Query 14 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q14,', datediff(millisecond,qstart,qstop)/(1000.0)
go
set qstop = now(*)
go

select 'Stream STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh:nn:ss.sss')
go

select 'Stream Elapsed time,', datediff(millisecond,sstart,qstop)
go

exit
go
