#!/bin/bash
#usage querygen <random_seed> <scale_factor><stream_count>

if [ -z "$1" -o -z "$2" ]
then
 echo 'usage querygen <random_seed> <scale_factor>'
 exit 1
fi
RANDOM_SEED=$1
SCALE_FACTOR=$2

mkdir -p $QUERIES > /dev/null 2>&1

\rm -f $QUERIES/*.sql

qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR -d 1 > $QUERIES/q1.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR -d 2 > $QUERIES/q2.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR -d 3 > $QUERIES/q3.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR -d 4 > $QUERIES/q4.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR -d 5 > $QUERIES/q5.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR -d 6 > $QUERIES/q6.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR -d 7 > $QUERIES/q7.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR -d 8 > $QUERIES/q8.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR -d 9 > $QUERIES/q9.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR -d 10 > $QUERIES/q10.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR -d 11 > $QUERIES/q11.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR -d 12 > $QUERIES/q12.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR -d 13 > $QUERIES/q13.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR -d 14 > $QUERIES/q14.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR -d 15 > $QUERIES/q15.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR -d 16 > $QUERIES/q16.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR -d 17 > $QUERIES/q17.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR -d 18 > $QUERIES/q18.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR -d 19 > $QUERIES/q19.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR -d 20 > $QUERIES/q20.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR -d 21 > $QUERIES/q21.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR -d 22 > $QUERIES/q22.sql 


