#!/bin/bash
. ./acid_bm_setup

if [ -d "${ACID_RESULTS}" ]; then
        mv $ACID_RESULTS ${ACID_RESULTS}_`date '+%y%m%d_%H%M%S'`
fi

mkdir $ACID_RESULTS

# -- Consistency

echo Start Consistency Test: `date` 
$ACID_ROOT/consistency/run_consistency
mv $ACID_RESULTS/acid_consistency_q1.ot $ACID_RESULTS/consb.`date '+%y%m%d_%H%M%S'`
mv $ACID_RESULTS/acid_consistency_q2.ot $ACID_RESULTS/conse.`date '+%y%m%d_%H%M%S'`

echo End   Consistency Test: `date` 

