#!/bin/bash
. ./acid_bm_setup

if [ -d "${ACID_RESULTS}" ]; then
        mv $ACID_RESULTS ${ACID_RESULTS}_`date '+%y%m%d_%H%M%S'`
fi

mkdir $ACID_RESULTS


$ACID_ISQL -i $ACID_SETUP/mxpstatus.sql > $ACID_RESULTS/DUR_pre_fail

$ACID_ISQL  -i $ACID_SETUP/dbtables-syb.sql > $ACID_RESULTS/rdbtablesq.d


# -- Durability

echo Start Durability Test: `date` 
failure_type=sym
#failure_type=log
#failure_type=dat
#failure_type=int
#failure_type=sys
$ACID_ROOT/durability/run_durability $failure_type
echo End   Durability Test: `date` 

rm -f $TEMPFILES/*
