#!/bin/bash

if [ $Enable_Monitoring -ne 0 ]
then
	if [ $CURRENTLY_RUNNING = throughput ]
	then
		# Called by throughputtest.sh 
		if [ -z "$1" ]
		then
			gather_stats.sh throughput
		fi
		# Do nothing if its called from stream*.sql
	fi

	if [ $CURRENTLY_RUNNING = power ]
	then
		#Start gathering statistics of individual queries
		if [ ! -z "$1" ] 
		then
			mkdir $RESULTS/IOSTAT > /dev/null 2>&1
			mkdir $RESULTS/VMSTAT > /dev/null 2>&1
			mkdir $RESULTS/MPSTAT > /dev/null 2>&1
			mkdir $RESULTS/SAR > /dev/null 2>&1
			mkdir $RESULTS/IQMON > /dev/null 2>&1
			mkdir $RESULTS/PSTACKS > /dev/null 2>&1
			#mkdir $RESULTS/LOCKMETER > /dev/null 2>&1
			#touch $RESULTS/LOCKMETER/q${1}.out > /dev/null 2>&1
			gather_stats.sh $1 $2
		fi
	        echo "DEBUG=$DEBUG"
		if [ $DEBUG -eq 0 ]
		then
			gather_stats.sh power
		fi

		#Do nothing if its called from powertest.sh	
	fi

	if [ $CURRENTLY_RUNNING = load ]
	then	
		gather_stats.sh load
	fi

	if [ $CURRENTLY_RUNNING = refresh ]
	then
		gather_stats.sh refresh
	fi

fi
