#!/bin/bash
rm tempout 2>/dev/null

echo "####################################################################" > $RESULTS/pk_constraints_result.out
echo "                 Check for Nation table.                            " >> $RESULTS/pk_constraints_result.out
echo "####################################################################">> $RESULTS/pk_constraints_result.out
dbisqlc -c "DSN=tpch_$VERSION" -q "read $TPCH_ROOT/check_constraints/nation.sql>&tempout" 2>/dev/null
grep -v "^%" tempout >> $RESULTS/pk_constraints_result.out

echo "####################################################################">> $RESULTS/pk_constraints_result.out
echo "                 Check for Region table.                            ">> $RESULTS/pk_constraints_result.out
echo "####################################################################">> $RESULTS/pk_constraints_result.out
dbisqlc -c "DSN=tpch_$VERSION" -q "read $TPCH_ROOT/check_constraints/region.sql>&tempout" 2>/dev/null
grep -v "^%" tempout >> $RESULTS/pk_constraints_result.out


echo "####################################################################">> $RESULTS/pk_constraints_result.out
echo "                 Check for Part table.                              ">> $RESULTS/pk_constraints_result.out
echo "####################################################################">> $RESULTS/pk_constraints_result.out
dbisqlc -c "DSN=tpch_$VERSION" -q "read $TPCH_ROOT/check_constraints/part.sql>&tempout" 2>/dev/null
grep -v "^%" tempout >> $RESULTS/pk_constraints_result.out


echo "####################################################################">> $RESULTS/pk_constraints_result.out
echo "                 Check for Supplier table.                          ">> $RESULTS/pk_constraints_result.out
echo "####################################################################">> $RESULTS/pk_constraints_result.out
dbisqlc -c "DSN=tpch_$VERSION" -q "read $TPCH_ROOT/check_constraints/supplier.sql>&tempout" 2>/dev/null
grep -v "^%" tempout >> $RESULTS/pk_constraints_result.out


echo "####################################################################">> $RESULTS/pk_constraints_result.out
echo "                 Check for Partsupp table.                          ">> $RESULTS/pk_constraints_result.out
echo "####################################################################">> $RESULTS/pk_constraints_result.out
dbisqlc -c "DSN=tpch_$VERSION" -q "read $TPCH_ROOT/check_constraints/partsupp.sql>&tempout" 2>/dev/null
grep -v "^%" tempout >> $RESULTS/pk_constraints_result.out


echo "####################################################################">> $RESULTS/pk_constraints_result.out
echo "                 Check for Customer table.                          ">> $RESULTS/pk_constraints_result.out
echo "####################################################################">> $RESULTS/pk_constraints_result.out
dbisqlc -c "DSN=tpch_$VERSION" -q "read $TPCH_ROOT/check_constraints/customer.sql>&tempout" 2>/dev/null
grep -v "^%" tempout >> $RESULTS/pk_constraints_result.out


echo "####################################################################">> $RESULTS/pk_constraints_result.out
echo "                 Check for Orders table.                            ">> $RESULTS/pk_constraints_result.out
echo "####################################################################">> $RESULTS/pk_constraints_result.out
dbisqlc -c "DSN=tpch_$VERSION" -q "read $TPCH_ROOT/check_constraints/orders.sql>&tempout" 2>/dev/null
grep -v "^%" tempout >> $RESULTS/pk_constraints_result.out

rm tempout 2>/dev/null

