
rm -fr $DEV_DIR/data
rm -f $DEV_DIR/M*
rm -f $DEV_DIR/T*
rm -f $DEV_DIR/tpch.db

if [ $? -ne 0 ]; then
        echo "Error during cleanup of $DEV_DIR"
        exit 1
fi

if [ -d $DEV_DIR ]
then
        if [ -f $DEV_DIR/tpch.log ]
        then
                mv $DEV_DIR/tpch.log $DEV_DIR/backup/tpch_old.`date '+%y%m%d_%H%M%S'`.log
        fi

        if [ -f $DEV_DIR/tpch_$1.iqmsg ]
        then
                mv $DEV_DIR/tpch_$1.iqmsg $DEV_DIR/backup/tpch_$1_old.`date '+%y%m%d_%H%M%S'`.iqmsg
        fi
fi

mkdir -p $DEV_DIR/data > /dev/null 2>&1

#rm -rf $DEV_DIR;mkdir $DEV_DIR;


sh $TPCH_ROOT/cluster/create_dbspace_links_$1.sh
dbbackup -y -d -c"uid=dba;pwd=sql;links=tcpip{port=5788};eng=tpch_16_0_sybase" $DEV_DIR;
dblog -r -t $DEV_DIR/tpch.log $DEV_DIR/tpch.db;
sleep 5
start_iq @/opt/tpch/config_dir/tpch.cfg /opt/tpch/devices/tpch.db
sleep 5
dbisqlc -c "DSN=tpch_16_0" -q $TPCH_ROOT/cluster/create_dbspaces_tpch_$1.sql 


