-- using 1113151628 as a seed to the RNG
SET TEMPORARY OPTION Query_Plan_As_Html='On';
SET TEMPORARY OPTION Query_Plan_After_Run='On';
SET TEMPORARY OPTION Query_Timing='On';
SET TEMPORARY OPTION Query_Plan='On';
SET TEMPORARY OPTION Query_Detail='On';
SET TEMPORARY OPTION QUERY_PLAN_AS_HTML_DIRECTORY='/opt/Tpch_all/plans/';
SET TEMPORARY OPTION Dml_Options10='On';
go
create variable  qstart timestamp;
create variable  qstop timestamp;
create variable  sstart timestamp;
go

set sstart = now(*)
select 'Stream START -- ,',dateformat (sstart,'yyyy-mm-dd hh:nn:ss.sss') 
go

-- @(#)13.sql	Sybase IQ
-- Query 13 - Var_0 Rev_01 - Customer Distribution Query

!!start_monitor.sh 13

set qstart = now(*)
go

set temporary option Query_Name = 'Stream0_q13'
select 'Stream 0 Query 13 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
go

-- Query13 Starts
select
	c_count,
	count(*) as custdist
from
	(
		select
			c_custkey,
			count(o_orderkey)
		from
			customer left outer join orders on
				c_custkey = o_custkey
				and o_comment not like '%special%packages%'
		group by
			c_custkey
	) as c_orders (c_custkey, c_count)
group by
	c_count
order by
	custdist desc,
	c_count desc

go
-- Query Ends

commit transaction
go



set qstop = now(*)
go

select 'Stream 0 Query 13 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q13,', datediff(millisecond,qstart,qstop)/(1000.0)
go

!!end_monitor.sh

set qstop = now(*)
go

select 'Stream STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh:nn:ss.sss')
go

select 'Stream Elapsed time,', datediff(millisecond,sstart,qstop)
go

exit
go
