-- using 1113151628 as a seed to the RNG
SET TEMPORARY OPTION Query_Plan_As_Html='On';
SET TEMPORARY OPTION Query_Plan_After_Run='On';
SET TEMPORARY OPTION Query_Timing='On';
SET TEMPORARY OPTION Query_Plan='On';
SET TEMPORARY OPTION Query_Detail='On';
SET TEMPORARY OPTION QUERY_PLAN_AS_HTML_DIRECTORY='/opt/Tpch_all/plans/';
SET TEMPORARY OPTION Dml_Options10='On';
go
create variable  qstart timestamp;
create variable  qstop timestamp;
create variable  sstart timestamp;
go

set sstart = now(*)
select 'Stream START -- ,',dateformat (sstart,'yyyy-mm-dd hh:nn:ss.sss') 
go

-- @(#)19.sql	Sybase IQ
-- Query 19 - Var_0 Rev_01 - Discounted Revenue Query

!!start_monitor.sh 19

set qstart = now(*)
go

set temporary option Query_Name = 'Stream0_q19'
select 'Stream 0 Query 19 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
go

-- Query19 Starts
select
	sum(l_extendedprice* (1 - l_discount)) as revenue
from
	lineitem,
	part
where
	(
		p_partkey = l_partkey
		and p_brand = 'Brand#31'
		and p_container in ('SM CASE', 'SM BOX', 'SM PACK', 'SM PKG')
		and l_quantity >= 7 and l_quantity <= 7 + 10
		and p_size between 1 and 5
		and l_shipmode in ('AIR', 'AIR REG')
		and l_shipinstruct = 'DELIVER IN PERSON'
	)
	or
	(
		p_partkey = l_partkey
		and p_brand = 'Brand#55'
		and p_container in ('MED BAG', 'MED BOX', 'MED PKG', 'MED PACK')
		and l_quantity >= 19 and l_quantity <= 19 + 10
		and p_size between 1 and 10
		and l_shipmode in ('AIR', 'AIR REG')
		and l_shipinstruct = 'DELIVER IN PERSON'
	)
	or
	(
		p_partkey = l_partkey
		and p_brand = 'Brand#54'
		and p_container in ('LG CASE', 'LG BOX', 'LG PACK', 'LG PKG')
		and l_quantity >= 25 and l_quantity <= 25 + 10
		and p_size between 1 and 15
		and l_shipmode in ('AIR', 'AIR REG')
		and l_shipinstruct = 'DELIVER IN PERSON'
	)

go
-- Query Ends

commit transaction
go



set qstop = now(*)
go

select 'Stream 0 Query 19 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q19,', datediff(millisecond,qstart,qstop)/(1000.0)
go

!!end_monitor.sh

set qstop = now(*)
go

select 'Stream STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh:nn:ss.sss')
go

select 'Stream Elapsed time,', datediff(millisecond,sstart,qstop)
go

exit
go
