-- using 1113151628 as a seed to the RNG
SET TEMPORARY OPTION Query_Plan_As_Html='On';
SET TEMPORARY OPTION Query_Plan_After_Run='On';
SET TEMPORARY OPTION Query_Timing='On';
SET TEMPORARY OPTION Query_Plan='On';
SET TEMPORARY OPTION Query_Detail='On';
SET TEMPORARY OPTION QUERY_PLAN_AS_HTML_DIRECTORY='/opt/Tpch_all/plans/';
SET TEMPORARY OPTION Dml_Options10='On';
go
create variable  qstart timestamp;
create variable  qstop timestamp;
create variable  sstart timestamp;
go

set sstart = now(*)
select 'Stream START -- ,',dateformat (sstart,'yyyy-mm-dd hh:nn:ss.sss') 
go

-- @(#)3.sql	Sybase IQ
-- Query 03 - Var_0 Rev_01 - Shipping Priority Query

!!start_monitor.sh 3

set qstart = now(*)
go



set temporary option Query_Name = 'Stream0_q3'
select 'Stream 0 Query 3 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
go


-- Query03 Starts
select top 10
	l_orderkey,
	sum(l_extendedprice * (1 - l_discount)) as revenue,
	dateformat (o_orderdate,'yyyy-mm-dd'),
	o_shippriority
from
	customer,
	orders,
	lineitem
where
	c_mktsegment = 'AUTOMOBILE'
	and c_custkey = o_custkey
	and l_orderkey = o_orderkey
	and o_orderdate < '1995-03-21'
	and l_shipdate > '1995-03-21'
group by
	l_orderkey,
	o_orderdate,
	o_shippriority
order by
	revenue desc,
	o_orderdate

go
-- Query Ends


commit transaction
go



set qstop = now(*)
go

select 'Stream 0 Query 3 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q3,', datediff(millisecond,qstart,qstop)/(1000.0)
go

!!end_monitor.sh
set qstop = now(*)
go

select 'Stream STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh:nn:ss.sss')
go

select 'Stream Elapsed time,', datediff(millisecond,sstart,qstop)
go

exit
go
