-- using 1113151628 as a seed to the RNG
SET TEMPORARY OPTION Query_Plan_As_Html='On';
SET TEMPORARY OPTION Query_Plan_After_Run='On';
SET TEMPORARY OPTION Query_Timing='On';
SET TEMPORARY OPTION Query_Plan='On';
SET TEMPORARY OPTION Query_Detail='On';
SET TEMPORARY OPTION QUERY_PLAN_AS_HTML_DIRECTORY='/opt/Tpch_all/plans/';
SET TEMPORARY OPTION Dml_Options10='On';
go
create variable  qstart timestamp;
create variable  qstop timestamp;
create variable  sstart timestamp;
go

set sstart = now(*)
select 'Stream START -- ,',dateformat (sstart,'yyyy-mm-dd hh:nn:ss.sss') 
go

-- @(#)4.sql	Sybase IQ
-- Query 04 - Var_0 Rev_01 - Order Priority Checking Query

!!start_monitor.sh 4

set qstart = now(*)
go

set temporary option Query_Name = 'Stream0_q4'
select 'Stream 0 Query 4 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
go

-- Query04 Starts
select
	o_orderpriority,
	count(*) as order_count
from
	orders
where
	o_orderdate >= '1996-03-01'
	and o_orderdate < dateadd(month, 3, '1996-03-01')
	and exists (
		select *
		from
			lineitem
		where
			l_orderkey = o_orderkey
			and l_commitdate < l_receiptdate
	)
group by
	o_orderpriority
order by
	o_orderpriority

go
-- Query Ends

commit transaction
go



set qstop = now(*)
go

select 'Stream 0 Query 4 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q4,', datediff(millisecond,qstart,qstop)/(1000.0)
go

!!end_monitor.sh
set qstop = now(*)
go

select 'Stream STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh:nn:ss.sss')
go

select 'Stream Elapsed time,', datediff(millisecond,sstart,qstop)
go

exit
go
