-- using 1113151628 as a seed to the RNG
SET TEMPORARY OPTION Query_Plan_As_Html='On';
SET TEMPORARY OPTION Query_Plan_After_Run='On';
SET TEMPORARY OPTION Query_Timing='On';
SET TEMPORARY OPTION Query_Plan='On';
SET TEMPORARY OPTION Query_Detail='On';
SET TEMPORARY OPTION QUERY_PLAN_AS_HTML_DIRECTORY='/opt/Tpch_all/plans/';
SET TEMPORARY OPTION Dml_Options10='On';
go
create variable  qstart timestamp;
create variable  qstop timestamp;
create variable  sstart timestamp;
go

set sstart = now(*)
select 'Stream START -- ,',dateformat (sstart,'yyyy-mm-dd hh:nn:ss.sss') 
go

-- @(#)6.sql	Sybase IQ
-- Query 06 - Var_0 Rev_01 - Forecasting Revenue Change Query

!!start_monitor.sh 6

set qstart = now(*)
go

set temporary option Query_Name = 'Stream0_q6'
select 'Stream 0 Query 6 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
go

-- Query06 Starts
select
	sum(l_extendedprice * l_discount) as revenue
from
	lineitem
where
	l_shipdate >= '1993-01-01'
	and l_shipdate < dateadd(year, 1, '1993-01-01')
	and l_discount between 0.08 - 0.01 and 0.08 + 0.01
	and l_quantity < 24

go
-- Query Ends

commit transaction
go



set qstop = now(*)
go

select 'Stream 0 Query 6 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q6,', datediff(millisecond,qstart,qstop)/(1000.0)
go

!!end_monitor.sh

set qstop = now(*)
go

select 'Stream STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh:nn:ss.sss')
go

select 'Stream Elapsed time,', datediff(millisecond,sstart,qstop)
go

exit
go
