-- @(#)13.sql	Sybase IQ
-- Query 13 - Var_0 Rev_01 - Customer Distribution Query

set qstart = now(*)
go

-- Query13 Starts

select
	c_count,
	count(*) as custdist
from
	(
		select
			c_custkey,
			count(o_orderkey)
		from
			customer left outer join orders on
				c_custkey = o_custkey
				and o_comment not like '%:1%:2%'
		group by
			c_custkey
	) as c_orders (c_custkey, c_count)
group by
	c_count
order by
	custdist desc,
	c_count desc

go
-- Query Ends

:e

set qstop = now(*)
go

select 'Stream :s Query :q START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream :s Query :q STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q:q,', datediff(millisecond,qstart,qstop)/(1000.0)
go
