-- @(#)6.sql	Sybase IQ
-- Query 06 - Var_0 Rev_01 - Forecasting Revenue Change Query

!!start_monitor.sh :q

set qstart = now(*)
go

set temporary option Query_Name = 'Stream:s_q:q'
select 'Stream :s Query :q START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
go

-- Query06 Starts
select
	sum(l_extendedprice * l_discount) as revenue
from
	lineitem
where
	l_shipdate >= ':1'
	and l_shipdate < dateadd(year, 1, ':1')
	and l_discount between :2 - 0.01 and :2 + 0.01
	and l_quantity < :3

go
-- Query Ends

:e

set qstop = now(*)
go

select 'Stream :s Query :q STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q:q,', datediff(millisecond,qstart,qstop)/(1000.0)
go

!!end_monitor.sh

