#!/bin/bash

if [ -z "$2" ]
then
        echo "Plese supply starting & end_number of your refresh streams"
        echo "$0 <START_STREAM> <END_STREAM>"
else
     START_STREAM=$1
     END_STREAM=$2
fi

if [ -d "$REFERENCE_DATA" ]
then
	populate_tables_with_reference_data.sh $START_STREAM $END_STREAM
	echo "Checking with refernce data"
        #dbisql -c "DSN=tpch_$VERSION" -nogui $SQL/compare_reference_data.sql>$RESULTS/reference_data_diff.out
	dbisqlc -c "DSN=tpch_$VERSION" -q "read $SQL/compare_reference_data.sql>&$RESULTS/reference_data_diff.out"

else
	echo " "
	echo "Reference data doesn't exist"
        echo "Please follow $TPCH_ROOT/referenceData/README on how to download"
        echo "NOTE: Reference data check is only needed during actual TPCH Audit run"
	echo " "
fi
