SELECT  index_name,T.table_name  ,
	        column_name   
	        index_type  
	 from   SYS.SYSTABLE T, SYS.SYSCOLUMN C, SYS.SYSINDEX I,
	        SYS.SYSUSERPERMS UP, SYS.SYSFILE F, SYS.SYSIXCOL IC
	 where T.table_id = C.table_id
	   and C.table_id = I.table_id
	   and T.file_id = F.file_id
	   and I.table_id = IC.table_id
	   AND I.index_id = IC.index_id
	   AND IC.column_id = C.column_id
	   and T.creator = UP.user_id
;
