SET OPTION "PUBLIC".STRING_RTRUNCATION='Off';
SET OPTION "PUBLIC".Allow_Nulls_By_Default='Off';
SET OPTION "PUBLIC".Append_Load='On';
SET OPTION "PUBLIC".Force_No_Scroll_Cursors='On';
SET OPTION "PUBLIC".Load_Memory_Mb=0;
SET OPTION "PUBLIC".Minimize_Storage='On';
SET OPTION "PUBLIC".Notify_Modulus=10000000;
SET OPTION "PUBLIC".Row_Counts='On';
SET OPTION "public".SignificantDigitsForDoubleEquality=12;
SET OPTION "PUBLIC".QUERY_TEMP_SPACE_LIMIT=0;
SET OPTION "PUBLIC".Hash_Thrashing_Percent=100;

--Performance Options
SET OPTION "PUBLIC".Max_Hash_Rows=5000000;
SET OPTION "PUBLIC".Default_Having_Selectivity_PPM=10;
SET OPTION "PUBLIC".subquery_flattening_preference=3;
SET OPTION "PUBLIC".FP_PREDICATE_WORKUNIT_PAGES=50;

SET OPTION "PUBLIC".Garray_Fill_Factor_Percent=3;
SET OPTION "PUBLIC".Max_IQ_Threads_Per_Connection=500;
SET OPTION "PUBLIC".Max_Query_Parallelism=64;

SET OPTION "PUBLIC".Sweeper_Threads_Percent=8;
SET OPTION "PUBLIC".Wash_Area_Buffers_Percent=30;
SET OPTION "PUBLIC".Prefetch_Threads_Percent=25;

-- add by antao to solve "Mpx_Work_Unit_Timeout exceeded" at 2013-11-3
-- add by antao to solve "Insufficient buffers for Sort" at 2013-11-3
SET OPTION "PUBLIC".MPX_MIPC_Timeout=3600;
SET OPTION "PUBLIC".Mpx_Work_Unit_Timeout=3600;
SET OPTION "PUBLIC".Sort_Pinnable_Cache_Percent=100;
SET OPTION "PUBLIC".Join_preference='-6';
--end add 
