#!/usr/bin/perl

#=========================================================================
# Filename: round_to_tenths.pl
# Purpose: TPC-H spec requires most numbers to be rounted
#	   to the nearest tenth.
#=========================================================================

our $ARGC = @ARGV ;

if ( $ARGC < 1)
  {
     print "\nUsage:  $0  <number>  \n\n";
     print "               displays number rounded to the nearest tenth \n\n";
     exit;
  }

$_=$ARGV[0]; 
if ( $_ < 0.05 )
{
	print "0.1\n";
}
else
{
	$value = sprintf("%d", ($_*10+0.5));
	$value = $value/10;
	printf "%.1f\n", $value;
}
