#!/bin/bash

# final version

if (( $# < 2 ))
then
  echo
  echo "usage:  $0  num_streams with_rf "
  echo ""
  echo "           - returns throughput interval for the out files in the cur directory"
  echo "             calls;"
  echo "                start_throughput_interval.sh"
  echo "                end_throughput_interval.sh"
  echo "                secs_since_epoch.sh"
  exit
fi

ns=$1
with_rf=$2

end_time=`end_throughput_interval.sh $ns $with_rf`   # of the form: yyyy-mm-dd hh:mm:ss
#echo "end_time=$end_time   [debug   tpch_throughput_interval.sh]"

end_secs_since_epoch=`secs_since_epoch.pl "$end_time"`
#echo "end_secs_since_epoch=$end_secs_since_epoch   [debug   tpch_throughput_interval.sh]"

start_time=`start_throughput_interval.sh $ns $with_rf`
#echo "start_time=$start_time   [debug   tpch_throughput_interval.sh]"

start_secs_since_epoch=`secs_since_epoch.pl "$start_time"`
#echo "start_secs_since_epoch=$start_secs_since_epoch   [debug   tpch_throughput_interval.sh]"

interval=`expr $end_secs_since_epoch - $start_secs_since_epoch`
echo $interval
