Test		"acid_setup.tst"
Description	"Creates aa_whattodo table"

stringconnect "dsn=qual_16_0;"

% Drop Table if found
print 'aa_whattodo!!'
allow error -141
execute { commit }
execute { drop table aa_whattodo }
allow no error

execute {
create table aa_whattodo (
                seqnum       int      not null,
                ordr         int        not null,
                line         int        null,
                delta        int         null)
}

print 'aa_whattodo CREATED!!'
execute {select now(*)} into times
print 'time = ', times

fetch {select count(*) from aa_whattodo } into ROWS
assert ROWS = 0

print 'Number of rows before load: ',ROWS

LOOP ({let counter = 0}; {counter < 5}; {let counter = counter + 1})
{
	execute {call generate_acid_values()} 
		into orderkey, linenumber,delta
	execute {insert into aa_whattodo values ( ^ , ^ , ^ , ^ ) }
		substitute counter, orderkey, linenumber, delta
 print  counter, ' ',orderkey, ' ',linenumber,' ', delta
}
ENDLOOP

commit

fetch {select count(*) from aa_whattodo } into ROWS
assert ROWS = 5

print 'Number of rows after load: ',ROWS

disconnect

End Test

