%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% acid_consistency_main.tst
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Test		"acid_consistency_main.tst"
Description	"To run the ACID consistency test"

stringconnect "dsn=qual_16_0;"

execute {select now(*)} into times
print 'Consistency test start = ', times
print ' '

include 'acid_functions.tst'
include 'acid_consistency_setup.tst'

%run test 'acid_consistency_setup.tst'

execute {select now(*)} into times
print 'Consistency test time = ', times
print ' '

run test '-o' 'acid_consistency_q1.ot' 'acid_consistency_query.tst'
disconnect

let i = 1
LOOP {
        if i > 10 then { BREAK LOOP } endif
	let ot_file = "acid_consist_user", i, ".ot"
	let my_str = "stream=", i
	print ot_file, my_str
	start test '-o' ot_file my_str 'acid_consistency_txn.tst'
	sleep 900
	let i = i + 1
} ENDLOOP


synchronize 11

% let the log flush...
sleep 900
stringconnect "dsn=qual_16_0;"
%include 'acid_consistency_query.tst'
run test '-o' 'acid_consistency_q2.ot' 'acid_consistency_query.tst'

execute {select now(*)} into times
print 'Consistency test end = ', times
print ' '

End Test

