
Test		"acid_consistency_txn.tst"
Description	"Run Acid Multiple Transactions"

stringconnect "dsn=qual_16_0;"

execute {set temporary option chained='on'}

execute {select now(*)} into times
print 'Consistancy test start = ', times
print ' '
print 'Stream:',stream
commit
LOOP ({let i = 1}; {i <= 100}; { let i = i + 1})
{
 fetch {select ordr, line, delta from acid_table 
		where stream=^ and seqnum=^ } 
	substitute stream, i
 commit
 if ROWSTATUS != FOUND then { print 'not enough rows' 
	       BREAK LOOP } 
 endif

 print 'User=',stream,' Acid Txn=',i,
	'   o_key=', ordr , '  l_key=', line , '  delta=' ,delta

 execute {call acid_transaction( ^, ^,  ^)
 	} substitute ordr, line, delta into rprice,quantity,tax, disc, extprice, ototal
print 'O_total = ',ototal,'quantity = ',quantity
 commit

if i = 30 then { execute {checkpoint} } endif

print   ''
execute {select o_totalprice, l_quantity, l_extendedprice
        from orders, lineitem
        where o_orderkey = l_orderkey and o_orderkey =^ and l_linenumber = ^}
        substitute ordr, line
        into o_total, l_quan, l_price

execute {select count(*)
        from history
        where h_o_key =^ and h_l_key =^}
        substitute ordr, line
        into total_history_count

print   'After Commit:'
print   'o_totalprice = ',o_total,'     l_quantity = ',l_quan,
        '       l_extendedprice = ',l_price
print   'After Commit History table count=',total_history_count

print ' '
 execute { update latest set last=^ where stream=^ } substitute i,stream
 commit
 execute { set temporary option isolation_level=1 }
 execute { select max(last) from latest } into biggest
 execute { select min(last) from latest } into smallest
 commit
 execute { set temporary option isolation_level=3 }

 let num=120*(i-smallest)
 if i+4>=biggest
 then {let num=num+800}
 endif
--print 'user',stream,' = ',num
 sleep num
}
ENDLOOP
synchronize 11
disconnect

End Test

