
Test		"acid_durability_txn.tst"
Description	"Run Acid Multiple Transactions"

stringconnect "dsn=qual_16_0;"
execute {select now(*)} into times
print 'Durability stream ',stream,' starts at ', times
print ' '
print 'stream	trans.	o_key	l_key	p_key	s_key	delta	date_t '
allow no error

let commit_delay=0
%This is to simulate infinite loop. If 1000 value is changed please
%change the same in acid_durability_setup.tst
LOOP ({let i = 1}; {i <= 1000}; { let i = i + 1}) 
{

 fetch {select ordr, line, delta from acid_table 
	where stream=^ and seqnum=^ } 
	substitute stream, i
 commit

 if ROWSTATUS != FOUND then { print 'not enough rows' BREAK LOOP } 
 endif

 if i=101 then {
      let commit_delay=20}
 endif


 %- Sometimes we have plans on, so just to make sure the message file
 %- does not get huge...
 execute {set temporary option query_plan='off'}

execute{SELECT @@spid}into spid
allow error 

print ' '
execute {select now(*)} into times
 if i=1 then {
	print 'Txn submitted at ', times }
 else {
	print 'After Last Txn commit, new Txn submitted at ', times }
 endif

LOOP {
  execute{begin transaction}
  execute{select Txnid from sp_iqtransaction() WHERE ConnHandle=^ and state='ACTIVE'}substitute spid
    into newTxnId 

  execute {call acid_transaction( ^, ^, ^)
  } substitute ordr, line, delta
  into rprice, quantity, tax, disc, extprice,ototal,TxnId,p_key,s_key

  if SQLCODE=0 then
  { break loop}
  else
  {
     execute{rollback}
  }
  endif
}
ENDLOOP
allow no error
 
 print 'transaction=',TxnId 
  print  'before commiting ', 
	stream,'	',
	'txn ',i, '	',
        ordr,  '	',
        line,  '	',
        p_key, '	',
        s_key, '	',
        delta

  execute {call commit_acid_transaction(^)}substitute commit_delay
  execute {select now(*)} into times
  print  'after commit', stream,'	',
	'txn ',i, '	',
        ordr,  '	',
        line,  '	',
        p_key, '	',
        s_key, '	',
        delta, '	',
        times, '	'
commit
 execute { update latest set last=^ where stream=^ } substitute i,stream
 commit

}
ENDLOOP
print 'Out of loop. Child waiting for synch'
synchronize 11


End Test



