#!/bin/bash
rm -f $TEMPFILES/out
rm -f $TEMPFILES/uncommited_txn
rm -f $TEMPFILES/tempoutfile
for i in `seq 1 10`
do
	in_txns=0
	commited=1
	found=0
	line_prev=''
	rm -f $TEMPFILES/tempoutfile
	cat $ACID_ROOT/durability/acid_dura_user${i}.out|grep -v 'New transactionid='>$TEMPFILES/tempoutfile

	while read line
	do
	#	echo $line
		if [ $in_txns -eq 0 ]
		then
			#Skip first few lines before the actual trasactions start.
			temp=`echo $line|grep 'before commit'`
			if [ ! -z "$temp" ]
			then
				#An inflight transaction.
				in_txns=1
				commited=0
			fi
		elif [ $commited -eq 0 ]
		then
			
			temp=`echo $line|grep 'after commit'`
			if [ ! -z "$temp" ]
			then	
				#Commit found for last found inflight txn.
				commited=1
			else
				#No commit found before connection termination.
				found=1
				echo $line_prev >> $TEMPFILES/uncommited_txn 
				break
			fi
		else		
			temp=`echo $line|grep 'before commit'`	
			if [ ! -z "$temp" ]
			then
				commited=0
			fi
			
		fi
		line_prev=$line		
	done < $TEMPFILES/tempoutfile
	if [ $found -eq 1 -o $commited -eq 0 ]
	then
		echo "Stream $i contains uncommited transaction."
		found=0
	fi
done


