#!/bin/bash
rm -f $TEMPFILES/transactions

if [ $RUN_FROM_CLIENT = TRUE ]
then
	rm -f $ACID_DEVICES/tpch.log
        rcp $SERVER:$SERVER_ACID_DEVICES/tpch.log $ACID_DEVICES
fi

dbtran -y $ACID_DEVICES/tpch.log 
grep transaction= $ACID_ROOT/durability/*.out |cut -d '=' -f2>$TEMPFILES/transactions

while read line
do
	commited=`egrep -e "txn_id=$line([^0-9]|$)" $ACID_DEVICES/tpch.sql`
	if [ -z "$commited" ]
	then 
		echo "$line is uncommitted transaction." | tee $ACID_RESULTS/duncommtxns
	fi

done <$TEMPFILES/transactions

