%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Created by: Masood Dirin						
%  Created Date: 5/24/1999						
%  Script name: acid_isolation_main2.tst 
%  ---------------------------------------------------------------------
%  Purpose of this test:	                                        
%  This test will run the second isolation test, which demonstrate 
%  isolation for the read-write conflict of a read-write transaction 
%  and a read-only transaction when the read-write transaction is 
%  rolled back.				   %
%  Run the test as follow:						
%                                                                       
%  dbtest acid_isolation_main2.tst > acid_isolation_main2.ot  
%                                                                       
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
Test            "acid_isolation_main2.tst"
Description     "To run the ACID isolation test2"

stringconnect "dsn=qual_16_0;"

execute {select now(*)} into times
print ' '
print ' '
print 'Isolation test 2'
print 'start = ', times
print ' '


include 'acid_functions.tst'
include 'acid_isolation_setup.tst'

start test  'acid_isolation_test2.tst'
start test  'acid_isolation_test2_query.tst'

End Test
