%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Created by: Masood Dirin                                              %
%  Created Date: 5/25/1999                                               %
%  Script name: acid_isolation_test3_transaction2.tst               %
%  --------------------------------------------------------------------  %
%                                                                        %
%  This test could be run by itself, but it is recommended to run it as  %
%  part of acid_isolation_main3.tst  file.                          %
%                                                                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


Test		"acid_isolation_test3_transaction2.tst"
Description	"Run Acid Transaction 2 for isolation test 3"

stringconnect "dsn=qual_16_0;"

execute {select ordr, line, delta from acid_isolation_table}
        into ordr, line, delta
% generate a new set of values; we only use delta2
execute { call generate_acid_values()} into ordr2, line2, delta2
 
 print ' '
 print 'User 2 - The input data values for the Acid Transaction.'
 print 'User 2 -- o_key = ',ordr
 print 'User 2 -- l_key= ',line
 print 'User 2 -- delta2 = ',delta2

SYNCHRONIZE 2

 print ' '
 execute {select now(*)} into times
 print 'User 2 -- Starting the Acid Transaction: ', times

execute {call acid_transaction( ^, ^,  ^ ) }
	substitute ordr, line, delta2
	into rprice, quantity, tax, disc, extprice, ototal
execute {select round(cast(^ as numeric(20,6)),2) }
	substitute extprice into extprice2

print ' '
execute {select now(*)} into times
print 'User 2 -- About to commit: ', times
commit

execute {select now(*)} into times
print 'User 2 -- transaction commit complete: ', times

print ' '

print 'USER 2 -- original extendedprice = ', extprice2
print 'USER 2 -- original quantity = ', quantity
print ' '

 fetch { select cast(^ as numeric(18,6))
                + (cast(^ as numeric(18,6))*(cast (^ as numeric(18,6))
                /cast (^ as numeric(18,6)))) }
        substitute extprice, delta, extprice, quantity
        into result1
 % make it format nicely...
 execute { select cast(^ as numeric(18,2)) } substitute result1 into result2

 print ' '
 print 'User 2 -- result1 = '
 print '    txn2_extendedprice + (delta2 * (txn2_extendedprice/txn2_quantity))'
 print 'User 2 -- result1= ', result2
 print ' '

End Test

