%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Created by: Masood Dirin                                            
%  Created Date: 5/24/1999                                             
%  Script name: acid_isolation_main4.tst                          
%  --------------------------------------------------------------------
%  Purpose of this test:                                               
%  This test will run the fourth Acid isolation test, which 
%  demonstrate isolation for the write-write conflict of two 
%  update transactions when the first transaction is rolled back.
%
%  Run the test as follow:                                              
%                                                                       
%  dbtest acid_isolation_main4.tst > acid_isolation_main4.ot  
%                                                                       
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Test            "acid_isolation_main4.tst"
Description     "To run the ACID isolation test4"

stringconnect "dsn=qual_16_0;"

execute {select now(*)} into times
print ' '
print ' '
print 'Isolation test 4'
print 'start = ', times
print ' '
print 'Isolation test start = ', times

include 'acid_functions.tst'
include 'acid_isolation_setup.tst'

start test  'acid_isolation_test4_transaction1.tst'
start test  'acid_isolation_test4_transaction2.tst'

End Test
