%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Created by: Masood Dirin                                            
%  Created Date: 5/27/1999                                             
%  Script name: acid_isolation_main5.tst                          
%  --------------------------------------------------------------------
%  Purpose of this test:                                               
%  This test will run isolation test 5 and will demonstrate 
%  the ability of read and write transactions affecting different 
%  database tables to make progress concurrently.                       
%
%  Run the test as follow:                                             
%                                                                      
%  dbtest acid_isolation_main5.tst > acid_isolation_main5.ot 
%                                                                      
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


Test            "acid_isolation_main5.tst"
Description     "To run the ACID isolation test5."

stringconnect "dsn=qual_16_0;"

execute {select now(*)} into times
print ' '
print ' '
print 'Isolation test 5'
print 'start = ', times
print ' '

include 'acid_functions.tst'
include 'acid_isolation_setup.tst'

start test 'acid_isolation_test5_transaction1.tst'
start test 'acid_isolation_test5_query.tst'

End Test
