Test		"acid_isolation_setup.tst"
Description	"Creates acid_isolation_table table"

stringconnect "dsn=qual_16_0;"

% Drop Table if found

allow error -141
execute { commit }
execute { drop table acid_isolation_table }
allow no error

execute {
create table acid_isolation_table (
                ordr         int    not null,
                line         int    null,
                delta        int    null)
}

execute {checkpoint}

print 'acid_isolation_table CREATED!!'
execute {select now(*)} into times
print 'time = ', times

fetch {select count(*) from acid_isolation_table } into ROWS
assert ROWS = 0

print 'Number of rows before load: ',ROWS

execute {call generate_acid_values()} into orderkey, linenumber,delta
execute {insert into acid_isolation_table values ( ^ , ^ , ^ ) }
		substitute orderkey, linenumber, delta
print  orderkey, ' ',linenumber,' ', delta

commit

fetch {select count(*) from acid_isolation_table } into ROWS
assert ROWS = 1

print 'Number of rows after load: ',ROWS

disconnect

End Test

