#Usage: change the filepaths to reflect actual files.

# Please refer setup/create_database.sql setup/create_dbspaces.sql
# before choosing the device locations.
#
# Device locations should have enough space as specified in the above
# files.

# $ACID_DEVICES/M01 and $ACID_DEVICES/T01 store the main store and temp store
# when the tpch database is created.

#shared IQ_SYSTEM_MAIN
ln -s /dev/raw/raw101 $ACID_DEVICES/M01
ln -s /dev/raw/raw102 $ACID_DEVICES/M02

# shared IQ_USER_MAIN
ln -s /dev/raw/raw201 $ACID_DEVICES/M03
ln -s /dev/raw/raw202 $ACID_DEVICES/M04
ln -s /dev/raw/raw203 $ACID_DEVICES/M05
ln -s /dev/raw/raw204 $ACID_DEVICES/M06
ln -s /dev/raw/raw205 $ACID_DEVICES/M07
ln -s /dev/raw/raw206 $ACID_DEVICES/M08
ln -s /dev/raw/raw207 $ACID_DEVICES/M09
ln -s /dev/raw/raw208 $ACID_DEVICES/M10
ln -s /dev/raw/raw209 $ACID_DEVICES/M11


# shared IQ_SHARED_TEMP - comes first in the symlink Txx order
ln -s /dev/raw/raw301 $ACID_DEVICES/T01
ln -s /dev/raw/raw302 $ACID_DEVICES/T02
ln -s /dev/raw/raw303 $ACID_DEVICES/T03
ln -s /dev/raw/raw304 $ACID_DEVICES/T04
ln -s /dev/raw/raw305 $ACID_DEVICES/T05
ln -s /dev/raw/raw306 $ACID_DEVICES/T06
ln -s /dev/raw/raw307 $ACID_DEVICES/T07
ln -s /dev/raw/raw308 $ACID_DEVICES/T08
ln -s /dev/raw/raw309 $ACID_DEVICES/T09
ln -s /dev/raw/raw310 $ACID_DEVICES/T10
ln -s /dev/raw/raw311 $ACID_DEVICES/T11
ln -s /dev/raw/raw312 $ACID_DEVICES/T12
ln -s /dev/raw/raw313 $ACID_DEVICES/T13
ln -s /dev/raw/raw314 $ACID_DEVICES/T14
ln -s /dev/raw/raw315 $ACID_DEVICES/T15
ln -s /dev/raw/raw316 $ACID_DEVICES/T16

#local IQ_SYSTEM_TEMP for node 1
ln -s /dev/raw/raw401 $ACID_DEVICES/T40
ln -s /dev/raw/raw402 $ACID_DEVICES/T41
ln -s /dev/raw/raw403 $ACID_DEVICES/T42
ln -s /dev/raw/raw404 $ACID_DEVICES/T43
ln -s /dev/raw/raw405 $ACID_DEVICES/T44
ln -s /dev/raw/raw406 $ACID_DEVICES/T45

