#!/bin/bash

mydev_dir=`echo $ACID_DEVICES | sed -e 's|\/|\\\/|g'`
export mydev_dir
echo $mydev_dir

mycmd="sed -e s/\$ACID_DEVICES/$mydev_dir/g"
export mycmd
echo $mycmd

for i in `find . -name \*.sql`
do
	grep "ACID_DEVICES" $i 
	if [ $? -eq 0 ]
	then
		cat $i | $mycmd > $TEMPFILES/tmp.txt
	 mv -f $TEMPFILES/tmp.txt $i
	fi 
done


myversion=`echo $VERSION`
export myversion
echo "$myversion"

mycmd="sed -e s/\$VERSION/$myversion/g"
for i in `find . -name \*.tst`
do
	grep "VERSION" $i
	if [ $? -eq 0 ]
	then
		cat $i | $mycmd > $TEMPFILES/tmp.txt
		mv -f $TEMPFILES/tmp.txt $i
	fi
done
