#!/bin/bash

mydev_dir=`echo $DEV_DIR | sed -e 's|\/|\\\/|g'`
echo "mydev_dir:$mydev_dir"

mycmd="sed -e s/\$DEV_DIR/$mydev_dir/g"
echo "mycmd:$mycmd"

for i in `find $TPCH_ROOT/setup/ $TPCH_ROOT/load/ -name \*.sql`
do
	grep "DEV_DIR" $i 
	if [ $? -eq 0 ]
	then
		cat $i | $mycmd > $TEMPFILES/tmp.txt
		mv -f $TEMPFILES/tmp.txt $i
	fi 
done

tpch_root=`echo $TPCH_ROOT | sed -e 's|\/|\\\/|g'`
echo "tpch_root:$tpch_root"

mycmd="sed -e s/\$TPCH_ROOT/$tpch_root/g"
echo "mycmd:$mycmd"

for i in `find $TPCH_ROOT/querygen* -name "*.sql"`
do
	grep "TPCH_ROOT" $i
	if [ $? -eq 0 ]
	then
		cat $i | $mycmd > $TEMPFILES/tmp.txt
		mv -f $TEMPFILES/tmp.txt $i
	fi
done

myversion=`echo $VERSION | sed -e 's|\/|\\\/|g'`
echo "myversion:$myversion"

mycmd="sed -e s/\$VERSION/$myversion/g"
echo "mycmd:$mycmd"

for i in `find $TPCH_ROOT/setup/sql/consistency -name \*.tst`
do
        grep "VERSION" $i
        if [ $? -eq 0 ]
        then
                cat $i | $mycmd > $TEMPFILES/tmp.txt
                mv -f $TEMPFILES/tmp.txt $i
        fi
done


