#!/bin/bash -x

date=`date +%m_%d_%y`
ISQL="isql -UDBA -PSQL -Stpch"; export ISQL
RESULTS_DIR=/tmp; export RESULTS_DIR
BENCHMARK=tpch; export BENCHMARK
SCRIPTS_DIR="/empower_work4/IQ/tpch_kit/queries"; export SCRIPTS_DIR
mkdir -p ${RESULTS_DIR}/${BENCHMARK}/

queries="q1 q2 q3 q4 q5 q6 q7 q8 q9 q10 q11 q12 q13 q14 q15 q16 q17 q18 q19 q20 q21 q22"


for i in $queries
do
        echo "Running $i"
        $ISQL -i${SCRIPTS_DIR}/$i.sql -o ${RESULTS_DIR}/${BENCHMARK}/${i}.out -e 
done
	cat $RELEASE/$errorlog > ${RESULTS_DIR}/${BENCHMARK}/all.$BRANCH.errorlog

grep "Elapsed time:" ${RESULTS_DIR}/${BENCHMARK}/q?.out | grep -v convert | sed "s/\.out//g" | sed  "s/.*15_[0-9]\///g" | sed 's/\/.*\///g' | sed "s/results//g" |awk -F: '{ print $1","$3}' > ${RESULTS_DIR}/${BENCHMARK}/result_file

grep "Elapsed time:" ${RESULTS_DIR}/${BENCHMARK}/q??.out | grep -v convert | sed "s/\.out//g" | sed  "s/.*15_[0-9]\///g" | sed 's/\/.*\///g' | sed "s/results//g" | awk -F: '{ print $1","$3}' >> ${RESULTS_DIR}/${BENCHMARK}/result_file

# write version info into result
echo "#" >> ${RESULTS_DIR}/${BENCHMARK}/result_file
$ISQL -w200 <<EOF >> ${RESULTS_DIR}/${BENCHMARK}/result_file
SELECT @@version
go
EOF
cat ${RESULTS_DIR}/${BENCHMARK}/result_file
